# This package is superseded by the version included in Test-Harness ≥ 3.29
# included in Fedora 21 onwards

Name:		perl-TAP-Harness-Env
Version:	3.30
Release:	1%{?dist}
Summary:	Parsing harness related environmental variables where appropriate
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Test-Harness
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-Harness-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Usage) >= 1.12
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Time::HiRes)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:	perl-Test-Harness >= 3.29

%description
This module implements the environmental variables that Test::Harness for use
with TAP::Harness.

%prep
%setup -q -n Test-Harness-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/TAP/Harness/Env.pm
%{_mandir}/man3/TAP::Harness::Env.3pm*
# These conflict with Test::Harness that is part of perl
%exclude %{_bindir}/prove
%exclude %{perl_vendorlib}/App/
%exclude %{perl_vendorlib}/TAP/Base.pm
%exclude %{perl_vendorlib}/TAP/Formatter/
%exclude %{perl_vendorlib}/TAP/Harness.pm
%exclude %{perl_vendorlib}/TAP/Harness/Beyond.pod
%exclude %{perl_vendorlib}/TAP/Object.pm
%exclude %{perl_vendorlib}/TAP/Parser.pm
%exclude %{perl_vendorlib}/TAP/Parser/
%exclude %{perl_vendorlib}/Test/
%exclude %{_mandir}/man1/prove*
%exclude %{_mandir}/man3/App::Prove*
%exclude %{_mandir}/man3/TAP::Base.3pm*
%exclude %{_mandir}/man3/TAP::Formatter*
%exclude %{_mandir}/man3/TAP::Harness.3pm*
%exclude %{_mandir}/man3/TAP::Harness::Beyond.3pm*
%exclude %{_mandir}/man3/TAP::Object.3pm*
%exclude %{_mandir}/man3/TAP::Parser*
%exclude %{_mandir}/man3/Test::Harness*
%exclude %{_mandir}/man3/Test::HACKING.3pm*

%changelog
* Wed Feb 19 2014 Paul Howarth <paul@city-fan.org> - 3.30-1
- Initial RPM version
